Name:		libX11
Version:	1.7.2
Release:	6
Summary:	Core X11 protocol client library
License:	MIT
URL:		http://www.x.org
Source0:	https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2

Patch1:         dont-forward-keycode-0.patch
Patch2:         backport-makekeys-handle-the-new-EVDEVK-xorgproto-symbols.patch
Patch6001:	backport-CVE-2022-3554.patch
Patch6002:	backport-0001-CVE-2022-3555.patch
Patch6003:	backport-0002-CVE-2022-3555.patch
Patch6004:	backport-CVE-2023-3138.patch

BuildRequires:	xorg-x11-util-macros >= 1.11 xorg-x11-proto-devel perl-Pod-Usage libXau-devel
BuildRequires:  libxcb-devel >= 1.2 libXdmcp-devel xorg-x11-xtrans-devel >= 1.0.3-4

Provides:       %{name}-common = %{version}-%{release}
Obsoletes:      %{name}-common < %{version}-%{release}

Provides:       %{name}-xcb = %{version}-%{release}
Obsoletes:      %{name}-xcb < %{version}-%{release}

%description
Core X11 protocol client library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure --disable-silent-rules --disable-static
%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT/var/cache/libX11/compose
%delete_la

%check
make %{?_smp_mflags} check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_libdir}/*.so.*
%{_datadir}/X11/locale/*
%{_datadir}/X11/XErrorDB
%dir /var/cache/libX11/compose
%exclude %{_docdir}/*
%exclude %{_datadir}/X11/Xcms.txt

%files          devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/X11/*.h
%{_libdir}/pkgconfig/*.pc
%{_includedir}/X11/extensions/XKBgeom.h

%files          help
%defattr(-,root,root)
%doc README.md NEWS ChangeLog
%{_mandir}/*/*

%changelog
* Mon Jun 19 2023 liweigang <liweiganga@uniontech.com> - 1.7.2-6
- fix CVE-2023-3138

* Fri Nov 04 2022 wangkerong <wangkerong@h-partners.com> - 1.7.2-5
- disable static library

* Mon Oct 24 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.7.2-4
- fix CVE-2022-3554,CVE-2022-3555

* Tue Jun 21 2022 wangkerong <wangkerong@h-partners.com> - 1.7.2-3
- fix error from unkown X86FMacroxx keysym

* Wed Dec 15 2021 wangkerong <wangkerong@huawei.com> - 1.7.2-2
- provide XKBgeom header file

* Sat Nov 27 2021 dongyuzhen <dongyuzhen@huawei.com> - 1.7.2-1
- update to 1.7.2

* Fri Jun 11 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.7.0-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix CVE-2021-31535

* Thu Jan 28 2021 hanhui <hanhui15@huawei.com> - 1.7.0-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 1.7.0

* Wed Sep 30 2020 chengguipeng<chenguipeng1@huawei.com> - 1.6.9-4
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix CVE-2020-14363

* Tue Sep 8 2020 zhanghua <zhanghua40@huawei.com> - 1.6.9-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix CVE-2020-14344

* Mon Nov 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.9-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:remove the XKBgeom.h

* Fri Nov 1 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.9-1
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:update to 1.6.9

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.7-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.7-1
- Package init
